- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# QGraphicsLayoutItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qgraphicslayoutitem.h.

`#include <qgraphicslayoutitem.h>`

Inheritance diagram for QGraphicsLayoutItem:
[legend]

List of all members.

## Public Member Functions
| QGraphicsLayoutItem (QGraphicsLayoutItem *parent=0, bool isLayout=false)
virtual | ~QGraphicsLayoutItem ()
void | setSizePolicy (const QSizePolicy &policy)
void | setSizePolicy (QSizePolicy::Policy hPolicy, QSizePolicy::Policy vPolicy, QSizePolicy::ControlType controlType=QSizePolicy::DefaultType)
QSizePolicy | sizePolicy () const
void | setMinimumSize (const QSizeF &size)
void | setMinimumSize (qreal w, qreal h)
QSizeF | minimumSize () const
void | setMinimumWidth (qreal width)
qreal | minimumWidth () const
void | setMinimumHeight (qreal height)
qreal | minimumHeight () const
void | setPreferredSize (const QSizeF &size)
void | setPreferredSize (qreal w, qreal h)
QSizeF | preferredSize () const
void | setPreferredWidth (qreal width)
qreal | preferredWidth () const
void | setPreferredHeight (qreal height)
qreal | preferredHeight () const
void | setMaximumSize (const QSizeF &size)
void | setMaximumSize (qreal w, qreal h)
QSizeF | maximumSize () const
void | setMaximumWidth (qreal width)
qreal | maximumWidth () const
void | setMaximumHeight (qreal height)
qreal | maximumHeight () const
virtual void | setGeometry (const QRectF &rect)
QRectF | geometry () const
virtual void | getContentsMargins (qreal *left, qreal *top, qreal *right, qreal *bottom) const
QRectF | contentsRect () const
QSizeF | effectiveSizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const
virtual void | updateGeometry ()
QGraphicsLayoutItem * | parentLayoutItem () const
void | setParentLayoutItem (QGraphicsLayoutItem *parent)
bool | isLayout () const
QGraphicsItem * | graphicsItem () const
bool | ownedByLayout () const
## Protected Member Functions
void | setGraphicsItem (QGraphicsItem *item)
void | setOwnedByLayout (bool ownedByLayout)
| QGraphicsLayoutItem (QGraphicsLayoutItemPrivate &dd)
virtual QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const =0
## Protected Attributes
QScopedPointer < QGraphicsLayoutItemPrivate > | d_ptr
## Friends
class | QGraphicsLayout

## Constructor & Destructor Documentation

QGraphicsLayoutItem | ( | QGraphicsLayoutItem * | parent = `0`,
|  | bool | isLayout = `false`
| ) |  |

virtual ~QGraphicsLayoutItem | ( |  | ) | `[virtual]`

QGraphicsLayoutItem | ( | QGraphicsLayoutItemPrivate & | dd | ) | `[protected]`

## Member Function Documentation

void setSizePolicy | ( | const QSizePolicy & | policy | ) |

Search for all occurrences

void setSizePolicy | ( | QSizePolicy::Policy | hPolicy,
|  | QSizePolicy::Policy | vPolicy,
|  | QSizePolicy::ControlType | controlType = `QSizePolicy::DefaultType`
| ) |  |

Search for all occurrences

QSizePolicy sizePolicy | ( |  | ) | const

Search for all occurrences

void setMinimumSize | ( | const QSizeF & | size | ) |

Search for all occurrences

void setMinimumSize | ( | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 127 of file qgraphicslayoutitem.h.

    { setMinimumSize(QSizeF(aw, ah)); }

QSizeF minimumSize | ( |  | ) | const

Search for all occurrences

void setMinimumWidth | ( | qreal | width | ) |

Search for all occurrences

qreal minimumWidth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 134 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::MinimumSize).width(); }

void setMinimumHeight | ( | qreal | height | ) |

Search for all occurrences

qreal minimumHeight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 136 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::MinimumSize).height(); }

void setPreferredSize | ( | const QSizeF & | size | ) |

Search for all occurrences

void setPreferredSize | ( | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 129 of file qgraphicslayoutitem.h.

    { setPreferredSize(QSizeF(aw, ah)); }

QSizeF preferredSize | ( |  | ) | const

Search for all occurrences

void setPreferredWidth | ( | qreal | width | ) |

Search for all occurrences

qreal preferredWidth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 139 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::PreferredSize).width(); }

void setPreferredHeight | ( | qreal | height | ) |

Search for all occurrences

qreal preferredHeight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 141 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::PreferredSize).height(); }

void setMaximumSize | ( | const QSizeF & | size | ) |

Search for all occurrences

void setMaximumSize | ( | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 131 of file qgraphicslayoutitem.h.

    { setMaximumSize(QSizeF(aw, ah)); }

QSizeF maximumSize | ( |  | ) | const

Search for all occurrences

void setMaximumWidth | ( | qreal | width | ) |

Search for all occurrences

qreal maximumWidth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 144 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::MaximumSize).width(); }

void setMaximumHeight | ( | qreal | height | ) |

Search for all occurrences

qreal maximumHeight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 146 of file qgraphicslayoutitem.h.

    { return effectiveSizeHint(Qt::MaximumSize).height(); }

virtual void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsAnchorLayout, QGraphicsGridLayout, QGraphicsLinearLayout, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

QRectF geometry | ( |  | ) | const

Search for all occurrences

virtual void getContentsMargins | ( | qreal * | left,
|  | qreal * | top,
|  | qreal * | right,
|  | qreal * | bottom
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsLayout, and QGraphicsWidget.

QRectF contentsRect | ( |  | ) | const

Search for all occurrences

QSizeF effectiveSizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const

Search for all occurrences

virtual void updateGeometry | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsLayout, QGraphicsWidget, and QGraphicsWebView.

QGraphicsLayoutItem* parentLayoutItem | ( |  | ) | const

Search for all occurrences

void setParentLayoutItem | ( | QGraphicsLayoutItem * | parent | ) |

Search for all occurrences

bool isLayout | ( |  | ) | const

Search for all occurrences

QGraphicsItem* graphicsItem | ( |  | ) | const

Search for all occurrences

bool ownedByLayout | ( |  | ) | const

Search for all occurrences

void setGraphicsItem | ( | QGraphicsItem * | item | ) | `[protected]`

Search for all occurrences

void setOwnedByLayout | ( | bool | ownedByLayout | ) | `[protected]`

Search for all occurrences

virtual QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const `[protected, pure virtual]`

Search for all occurrences

Implemented in QGraphicsAnchorLayout, QGraphicsGridLayout, QGraphicsLinearLayout, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

## Friends And Related Function Documentation

friend class QGraphicsLayout `[friend]`

Search for all occurrences

Reimplemented in QGraphicsWidget.

Definition at line 122 of file qgraphicslayoutitem.h.

## Member Data Documentation

QScopedPointer<QGraphicsLayoutItemPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 116 of file qgraphicslayoutitem.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicslayoutitem.h

QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem
QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem QGraphicsLayoutItem